## org.exist.util
Class CollectionScanner

    java.lang.Object
      org.exist.util.CollectionScanner

public class CollectionScanner
extends java.lang.Object

Constructor Summary
`CollectionScanner()`

Method Summary
`static Resource[]` `scan(Collection current, java.lang.String vpath, java.lang.String pattern)`
`static void` `scan(java.util.List list, Collection current, java.lang.String vpath, java.lang.String pattern)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionScanner

    public CollectionScanner()

Method Detail

### scan

    public static final Resource[] scan(Collection current,
                                        java.lang.String vpath,
                                        java.lang.String pattern)
                                 throws XMLDBException

  Throws:
    `XMLDBException`

### scan

    public static final void scan(java.util.List list,
                                  Collection current,
                                  java.lang.String vpath,
                                  java.lang.String pattern)
                           throws XMLDBException

  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.